Skip to main content
GET
/
api
/
v1
/
scans
/
{scan_id}
/
prompts
Get Scan Prompts Endpoint
curl --request GET \
  --url https://api.valiqor.com/api/v1/scans/{scan_id}/prompts \
  --header 'Authorization: Bearer <token>'
{
  "scan_id": "<string>",
  "prompts": [
    {
      "hash": "<string>",
      "name": "<string>",
      "file_path": "<string>",
      "line_number": 123,
      "function_name": "<string>",
      "is_fstring": true,
      "text_preview": "<string>"
    }
  ],
  "count": 123
}

Authorizations

Authorization
string
header
required

Valiqor API key. Pass as Bearer token: Authorization: Bearer vq-xxxxxxxxxxxxxxxxxxxx

Path Parameters

scan_id
string
required

Response

Successful Response

Response for list of prompts

scan_id
string
required
prompts
PromptResponse · object[]
required
count
integer
required